<template>
  <ul>
    <li v-for="footerLink in footerLinks" :key="footerLink.name">
      <a :href="footerLink.url" class="text--xs">{{ $t(footerLink.text) }}</a>
    </li>
  </ul>
</template>

<script>
const footerLinks = [
  {
    name: 'contact_us',
    url: '/our-contact',
    text: 'footer.links.contact_us'
  },
  {
    name: 'about',
    url: '/izneo-presentation',
    text: 'footer.links.about'
  },
  {
    name: 'faq',
    url: '/faq',
    text: 'footer.links.faq'
  },
  {
    name: 'legal_notice',
    url: '/legal-notice',
    text: 'footer.links.legal_notice'
  },
  {
    name: 'cgvcgu',
    url: '/cgvcgu',
    text: 'footer.links.cgvcgu'
  },
  {
    name: 'charte',
    url: '/charte',
    text: 'footer.links.charte'
  },
  {
    name: 'publishers',
    url: 'publishers',
    text: 'footer.links.publishers'
  }
]

export default {
  name: 'FooterLinks',

  props: {
    lang: {
      type: String,
      required: true
    }
  },

  computed: {
    footerLinks() {
      return footerLinks
        .filter((v) => !(v.name === 'charte' && this.lang === 'en'))
        .map((v) => ({
          name: v.name,
          url:
            v.name === 'publishers'
              ? `/${this.lang}` +
                (this.lang === 'fr' ? '/editeurs' : '/publisher')
              : `/${this.lang}${v.url}`,
          text: v.text
        }))
    },
    host() {
      return this.$config.izneoUrl
    }
  }
}
</script>
